Subject: Re: [PATCH 11/12] mpc5121: Added MPC512x DMA driver.

From: Piotr Zięcik <[email-masked]>
Date: Tue, 19 May 2009 10:03:42 +0200

Tuesday 19 May 2009 03:37:47 Hongjun Chen wrote:
> Since you have reuse most part of our BSP, why should you reinvent wheel
> for MPC512x DMA? We have one ready DMA driver, which has been used by AC97,
> ATA, VIU etc.
>

Answer is simple. The old one does not fit Linux DMA API. New one uses 
existing infrastructure which makes DMA engine aviable for existing consumers
in Linux kernel. For example network stack. Support for I/O <-> memory 
transfers will be added when more consumers arrive.

-- 
Best Regards.
Piotr Zięcik